<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
    <title>Fridge</title>
    <!--/*/ <th:block th:include="fragments/head :: head"/> /*/-->
</head>
<body>
<div th:insert="fragments/navbar :: navbar('fridge')"></div>
<button onclick="location.href='/fridge/new'" type="button" class="btn btn-outline-success">Додати у холодильник
</button>
<hr/>

<table class="table">
    <thead class="thead-light">
    <tr>
        <th scope="col">
            <a th:href="@{/fridge/?page={id}&sortField={sortField}&sortDir={sortDir}(id=${fridge.number},sortField='product.name',sortDir=${reverseSortDir})}">
                Продукт</a>
            </th>
        <th scope="col">
            <a th:href="@{/fridge/?page={id}&sortField={sortField}&sortDir={sortDir}(id=${fridge.number},sortField='product.measure',sortDir=${reverseSortDir})}">
                Одиниці вимірювання</a>
            </th>
        <th scope="col">
            <a th:href="@{/fridge/?page={id}&sortField={sortField}&sortDir={sortDir}(id=${fridge.number},sortField='amount',sortDir=${reverseSortDir})}">
                Кількість</a>
        </th>
        <th scope="col">Дія</th>
    </tr>
    </thead>
    <tbody>
    <tr th:each="fridge : ${fridge}">
        <td th:text="${fridge.getProduct().getName()}">Product name</td>
        <td th:text="${fridge.getProduct().getMeasure()}">Measure name</td>
        <td th:text="${fridge.getAmount()}">Amount</td>
        <td>
            <div class="btn-group">
                <a th:href="@{/fridge/{id}(id=${fridge.getId()})}">
                    <button type="button" class="btn btn-outline-primary">Редагувати</button>
                </a>

                <form th:method="DELETE" th:action="@{/fridge/{id}(id=${fridge.getId()})}">
                    <button type="submit" class="btn btn-outline-danger">Видалити</button>
                </form>
            </div>
        </td>
    </tr>
    </tbody>
</table>
<div th:insert="fragments/pagination :: pagination(${fridge},'/fridge')"></div>
</body>
</html>